import Vue from 'vue';

import Viewer from 'v-viewer';
import 'viewerjs/dist/viewer.css';

Vue.use(Viewer);

import VueFroala from 'vue-froala-wysiwyg';

import 'froala-editor/js/froala_editor.pkgd.min';
import 'froala-editor/js/plugins.pkgd.min.js';
import 'froala-editor/js/languages/zh_cn';
import 'froala-editor/css/froala_style.min.css';
import 'froala-editor/css/froala_editor.pkgd.min.css';

Vue.use(VueFroala);

Vue.component('cl-editor-froala', () => import('./editor/froala.vue'));
Vue.component('cl-editor-quill', () => import('./editor/quill.vue'));
Vue.component('cl-upload', () => import('./upload/index.vue'));
Vue.component('cl-avatar', () => import('./avatar/index.vue'));
Vue.component('cl-menu-icons', () => import('./menu/icons.vue'));
Vue.component('cl-menu-tree', () => import('./menu/tree.vue'));
Vue.component('cl-menu-perms', () => import('./menu/perms.vue'));
Vue.component('cl-role-tree', () => import('./role/tree.vue'));
Vue.component('cl-role-select', () => import('./role/select.vue'));
Vue.component('cl-viewer', () => import('./viewer/index.vue'));
Vue.component('cl-scroll', () => import('./scroll/index.vue'));
Vue.component('cl-sms-btn', () => import('./sms-btn/index.vue'));
Vue.component('cl-context-menu', () => import('./context-menu/index.js'));
Vue.component('icon-svg', () => import('./icon-svg/index.vue'));
